Skip to main content

UpdateBusinessLogic

Update a business logic description in the specified Alibaba Cloud Model Studio workspace.

Debug

You can directly invoke this API in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful call, OpenAPI Explorer can automatically generate SDK code examples. Debug

RAM authorization

The following table lists the authorization information of this API, which can be used in the Action element of a RAM policy statement to grant a RAM user or RAM role the permission to call this API. Details:
  • Operation: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, and List.
  • Resource type: the resource types supported for authorization in the operation. Details:
    • For required resource types, the prefix * is added.
    • For operations that do not support resource-level authorization, All resources is used.
  • Condition keyword: the condition keywords defined by the cloud product itself.
  • Related operation: other permissions required to successfully execute the operation. The caller must have the permissions of the related operations to succeed.
OperationAccess levelResource typeCondition keywordRelated operation
dataanalysisgbi:UpdateBusinessLogicnone
*All resources
*
    None
None

Request syntax

POST /gbi/update/logic HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample
workspaceIdstringYes

The ID of the Alibaba Cloud Bailian business space used for the current request.

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters.

businessLogicIdKeystringYes

The unique ID of the business logic description.

businessLogic-AAAAAAAAAGAIyJoP7LbKuA
descriptionstringYes

The content of the business logic description.

Winter refers to October through March of the previous year
typelongYes

Type of the business logic description.

Valid values:
  • 0: Global.
  • 1: Smart system judgment.
0

Response elements

ElementTypeDescriptionExample
object

Result

dataany

Response data.

true
errorMsgstring

Error message.

NoAuth
codestring

Error code.

NoAuth
successboolean

true indicates that the API call succeeded, and false indicates that the API call failed.

true
requestIdstring

The request ID, which is unique for each request and helps you troubleshoot issues.

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response example JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified business space.
401NoResourceAuthBad Request: Resource Auth Error.You do not have permission on the requested resource. Make sure that the requested resource belongs to the business space in the current parameters.
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Visit the Error Center to view more error codes.